## r-cran-libcoin 1.0

=== DESCRIPTION ===
Package: libcoin
Title: Linear Test Statistics for Permutation Inference
Date: 2023-09-26
Version: 1.0-10
Authors@R: c(person("Torsten", "Hothorn", role = c("aut", "cre"),
                    email = "Torsten.Hothorn@R-project.org",
                    comment = c(ORCID = "0000-0001-8301-0471")),
             person("Henric", "Winell", role = "aut",
                    comment = c(ORCID = "0000-0001-7995-3047")))
Description: Basic infrastructure for linear test statistics and permutation
  inference in the framework of Strasser and Weber (1999) <https://epub.wu.ac.at/102/>.
  This package must not be used by end-users. CRAN package 'coin' implements all
  user interfaces and is ready to be used by anyone.
Depends: R (>= 3.4.0)
Suggests: coin
Imports: stats, mvtnorm
LinkingTo: mvtnorm
NeedsCompilation: yes
License: GPL-2
Packaged: 2023-09-27 09:57:53 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (<https://orcid.org/0000-0001-8301-0471>),
  Henric Winell [aut] (<https://orcid.org/0000-0001-7995-3047>)
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Repository: CRAN
Date/Publication: 2023-09-27 10:30:07 UTC

## r-cran-libcoin 1.0-1

=== debian/changelog ===
r-cran-libcoin (1.0-1-1build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:33:29 +0000

r-cran-libcoin (1.0-1-1) unstable; urgency=medium

  * Initial release (closes: #893899)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Mar 2018 17:49:42 +0100

=== debian/control ===
Source: r-cran-libcoin
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev (>= 3.4.0),
               r-cran-mvtnorm
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-libcoin
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-libcoin.git
Homepage: https://cran.r-project.org/package=libcoin

Package: r-cran-libcoin
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R linear test statistics for permutation inference
 Basic infrastructure for linear test statistics and permutation
 inference in the framework of Strasser and Weber (1999)
 <http://epub.wu.ac.at/102/>. This package must not be used by end-users.
 CRAN package 'coin' implements all user interfaces and is ready to be
 used by anyone.

## r-cran-libcoin 1.0-2

=== debian/changelog ===
r-cran-libcoin (1.0-2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2018 10:49:14 +0100

r-cran-libcoin (1.0-1-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 13 Dec 2018 07:59:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: r-cran-libcoin
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-r,
-               r-base-dev (>= 3.4.0),
+               r-base-dev,
                r-cran-mvtnorm
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-libcoin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-libcoin.git
 Homepage: https://cran.r-project.org/package=libcoin

## r-cran-libcoin 1.0-4

=== debian/changelog ===
r-cran-libcoin (1.0-4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 22:21:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-mvtnorm
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-libcoin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-libcoin.git
 Homepage: https://cran.r-project.org/package=libcoin

## r-cran-libcoin 1.0-5

=== debian/changelog ===
r-cran-libcoin (1.0-5-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 30 Aug 2019 09:53:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-mvtnorm

## r-cran-libcoin 1.0-7

=== debian/changelog ===
r-cran-libcoin (1.0-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 09:08:06 +0100

r-cran-libcoin (1.0-6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 14:34:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mvtnorm
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-libcoin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-libcoin.git
 Homepage: https://cran.r-project.org/package=libcoin
+Rules-Requires-Root: no
 
 Package: r-cran-libcoin
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-coin
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/libcoin_([-\d.]*)\.tar\.gz

## r-cran-libcoin 1.0-9

=== debian/changelog ===
r-cran-libcoin (1.0-9-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 16:53:11 +0200

r-cran-libcoin (1.0-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 09:56:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-mvtnorm
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-libcoin
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-libcoin.git
 Homepage: https://cran.r-project.org/package=libcoin

## r-cran-libcoin 1.0-10

=== debian/changelog ===
r-cran-libcoin (1.0-10-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2023 08:03:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-libcoin
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-libcoin
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-libcoin.git
+Homepage: https://cran.r-project.org/package=libcoin
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mvtnorm
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-libcoin
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-libcoin.git
-Homepage: https://cran.r-project.org/package=libcoin
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-libcoin
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-coin
Restrictions: allow-stderr
